// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-demo-analytics.proto

package com.accelfin.server.demo.analytics.dtos;

public interface FxAlertReportUpdateRequestDtoOrBuilder extends
    // @@protoc_insertion_point(interface_extends:com.accelfin.server.demo.analytics.dtos.FxAlertReportUpdateRequestDto)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <code>optional string report_id = 1;</code>
   */
  java.lang.String getReportId();
  /**
   * <code>optional string report_id = 1;</code>
   */
  com.google.protobuf.ByteString
      getReportIdBytes();

  /**
   * <code>optional .com.accelfin.server.demo.analytics.dtos.ReportTypeDto report_type = 2;</code>
   */
  int getReportTypeValue();
  /**
   * <code>optional .com.accelfin.server.demo.analytics.dtos.ReportTypeDto report_type = 2;</code>
   */
  com.accelfin.server.demo.analytics.dtos.ReportTypeDto getReportType();

  /**
   * <code>repeated string symbols = 3;</code>
   */
  com.google.protobuf.ProtocolStringList
      getSymbolsList();
  /**
   * <code>repeated string symbols = 3;</code>
   */
  int getSymbolsCount();
  /**
   * <code>repeated string symbols = 3;</code>
   */
  java.lang.String getSymbols(int index);
  /**
   * <code>repeated string symbols = 3;</code>
   */
  com.google.protobuf.ByteString
      getSymbolsBytes(int index);

  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto range_view_start = 4;</code>
   */
  boolean hasRangeViewStart();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto range_view_start = 4;</code>
   */
  com.accelfin.server.messaging.dtos.TimestampDto getRangeViewStart();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto range_view_start = 4;</code>
   */
  com.accelfin.server.messaging.dtos.TimestampDtoOrBuilder getRangeViewStartOrBuilder();

  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto range_view_end = 5;</code>
   */
  boolean hasRangeViewEnd();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto range_view_end = 5;</code>
   */
  com.accelfin.server.messaging.dtos.TimestampDto getRangeViewEnd();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto range_view_end = 5;</code>
   */
  com.accelfin.server.messaging.dtos.TimestampDtoOrBuilder getRangeViewEndOrBuilder();

  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto main_view_start = 6;</code>
   */
  boolean hasMainViewStart();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto main_view_start = 6;</code>
   */
  com.accelfin.server.messaging.dtos.TimestampDto getMainViewStart();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto main_view_start = 6;</code>
   */
  com.accelfin.server.messaging.dtos.TimestampDtoOrBuilder getMainViewStartOrBuilder();

  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto main_view_end = 7;</code>
   */
  boolean hasMainViewEnd();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto main_view_end = 7;</code>
   */
  com.accelfin.server.messaging.dtos.TimestampDto getMainViewEnd();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto main_view_end = 7;</code>
   */
  com.accelfin.server.messaging.dtos.TimestampDtoOrBuilder getMainViewEndOrBuilder();
}
